summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Michael Johnson <youngmug@animeneko.net>2010-05-11 15:18:34 +0200
committer Alan Hicks <alan@lizella.net>2010-05-11 15:18:34 +0200
commit62b4c461d93a90c64db1e492bbe0679c4e60b950 (patch)
treebb2def34e55166bcb9ad5766681c16606f48b02d
parent071887ce73e03136cbc1423ae8f4fe3729603aaa (diff)
downloadslackbuilds-62b4c461d93a90c64db1e492bbe0679c4e60b950.tar.gz
slackbuilds-62b4c461d93a90c64db1e492bbe0679c4e60b950.tar.xz
system/cdrkit: Initial import
-rw-r--r--system/cdrkit/README24
-rw-r--r--system/cdrkit/cdrkit.SlackBuild88
-rw-r--r--system/cdrkit/cdrkit.info8
-rw-r--r--system/cdrkit/slack-desc11
4 files changed, 131 insertions, 0 deletions
diff --git a/system/cdrkit/README b/system/cdrkit/README
new file mode 100644
index 0000000000..2db2b12aff
--- /dev/null
+++ b/system/cdrkit/README
@@ -0,0 +1,24 @@
+This is a fork of the last free GPL version of cdrtools.
+ icedax -- CD audio sampling utility (formerly cdda2wav).
+ wodim -- burn discs in most ATAPI and SCSI CD-R drives (formerly cdrecord).
+ genisoimage -- create ISO9660/HFS/Joliet CD-ROM images (formerly mkisofs).
+
+CDRKit was forked from CDRTools because of an alleged license
+incompatibility that would make it impossible to distribute
+(combining GPL and CDDL code in the same binary).
+See http://debburn.alioth.debian.org/FORK for more details,
+but note that the issue is not settled - there are arguments
+that the interaction between the CDDL-licensed portion (the build
+tools) and the GPL-licensed portion (the actual code) is such
+that there is no license incompatibility. We at SlackBuilds.org
+are not taking a stance on that - we simply provide the build script
+if you wish to use it.
+
+This package will conflict with cdrtools - in other words, you need
+to remove cdrtools before installing cdrkit.
+
+This package will require libcap, cmake, and zisofs-tools, all of
+which are also available in our repository.
+
+This script will create symlinks for mkisofs and cdda2wav for backwards
+compatability with cdrtools and previous versions of cdrkit.
diff --git a/system/cdrkit/cdrkit.SlackBuild b/system/cdrkit/cdrkit.SlackBuild
new file mode 100644
index 0000000000..09b2b30ac6
--- /dev/null
+++ b/system/cdrkit/cdrkit.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for cdrkit
+
+# Written by <youngmug@animeneko.net>
+# Modified by the SlackBuilds.org project
+
+PRGNAM=cdrkit
+VERSION=1.1.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+
+cd $TMP/$PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R a-s,u+rw,go-w+r .
+
+# Make Makefile prefix
+cmake -DCMAKE_INSTALL_PREFIX=/usr || exit 1
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG/usr/bin
+ #Add cdrecord symlink to wodim (compatibility)
+ ln -s wodim cdrecord
+ #The author of cdda2wav requested their program be renamed, so...
+ #Add cdda2wav symlink to icedax (compatibility)
+ ln -s icedax cda2wav
+ #More renaming (due to legal concerns)
+ #Add mkisofs symlink to genisoimage (compatibility)
+ ln -s genisoimage mkisofs
+)
+
+# Remove the $PKG/usr/share directory - it's empty
+rmdir $PKG/usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ABOUT COPYING Changelog FAQ FORK INSTALL START TODO VERSION doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+# Move manpages from /usr/share/man to /usr/man
+mv $PKG/usr/share/man $PKG/usr/man
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
+if [ "$1" = "--cleanup" ]; then
+ cd $CWD
+ rm -rf $TMP/$PRGNAM-$VERSION
+ rm -rf $PKG
+fi
diff --git a/system/cdrkit/cdrkit.info b/system/cdrkit/cdrkit.info
new file mode 100644
index 0000000000..5b526492e5
--- /dev/null
+++ b/system/cdrkit/cdrkit.info
@@ -0,0 +1,8 @@
+PRGNAM="cdrkit"
+VERSION="1.1.2"
+HOMEPAGE="http://www.cdrkit.org/"
+DOWNLOAD="http://cdrkit.org/releases/cdrkit-1.1.2.tar.gz"
+MD5SUM="fa9754ce04c610262472d0de270f6804"
+MAINTAINER="Michael Johnson"
+EMAIL="youngmug@animeneko.net"
+APPROVED="Alan_Hicks,rworkman"
diff --git a/system/cdrkit/slack-desc b/system/cdrkit/slack-desc
new file mode 100644
index 0000000000..d6eb35a17b
--- /dev/null
+++ b/system/cdrkit/slack-desc
@@ -0,0 +1,11 @@
+cdrkit: cdrkit (Tools for mastering and writing compact discs)
+cdrkit:
+cdrkit: This is a fork of the last free GPL version of cdrtools.
+cdrkit:
+cdrkit: icedax: CD audio sampling utility (formerly cdda2wav).
+cdrkit: wodim: burn discs in most ATAPI and SCSI CD-R drives
+cdrkit: (formerly cdrecord).
+cdrkit: genisoimage: create ISO9660/HFS/Joliet CD-ROM images
+cdrkit: (formerly mkisofs).
+cdrkit:
+cdrkit: